Video playback using qt4-embedded on Yocto

cancel
Showing results for 
Search instead for 
Did you mean: 

Video playback using qt4-embedded on Yocto

1,009 Views
vincentchou
Contributor IV

Dear support,

We came across a dragging issue which we could not solve for weeks.  Currently we built core-image-base and qt4-embedded based on Yocto 3.14.26 for Sabresd board with necessary components listed as the following.

local.conf

===============

MACHINE ??= 'imx6solosabresd'

DISTRO ?= 'poky'

PACKAGE_CLASSES ?= "package_rpm"

EXTRA_IMAGE_FEATURES = "debug-tweaks"

USER_CLASSES ?= "buildstats image-mklibs image-prelink"

PATCHRESOLVE = "noop"

BB_DISKMON_DIRS = "\

    STOPTASKS,${TMPDIR},1G,100K \

    STOPTASKS,${DL_DIR},1G,100K \

    STOPTASKS,${SSTATE_DIR},1G,100K \

    ABORT,${TMPDIR},100M,1K \

    ABORT,${DL_DIR},100M,1K \

    ABORT,${SSTATE_DIR},100M,1K"

PACKAGECONFIG_append_pn-qemu-native = " sdl"

PACKAGECONFIG_append_pn-nativesdk-qemu = " sdl"

ASSUME_PROVIDED += "libsdl-native"

CONF_VERSION = "1"

IMAGE_INSTALL_append = " \

  freetype jpeg libpng zlib dbus openssl glib-2.0 gstreamer gst-plugins-base sqlite3 tiff icu \

  pulseaudio \

  qt4-embedded \

  libqt-embedded3support4 \

  libqt-embeddedclucene4 \

  libqt-embeddedcore4 \

  libqt-embeddeddbus4 \

  libqt-embeddedgui4 \

  libqt-embeddedhelp4 \

  libqt-embeddedmultimedia4 \

  libqt-embeddednetwork4 \

  libqt-embeddedscript4 \

  libqt-embeddedscripttools4 \

  libqt-embeddedsql4 \

  libqt-embeddedsvg4 \

  libqt-embeddedtest4 \

  libqt-embeddedxml4 \

  qt4-embedded-fonts-ttf-dejavu \

  qt4-embedded-fonts-ttf-vera \

  qt4-embedded-plugin-iconengine-svgicon \

  qt4-embedded-plugin-imageformat-gif \

  qt4-embedded-plugin-imageformat-ico \

  qt4-embedded-plugin-imageformat-jpeg \

  qt4-embedded-plugin-imageformat-mng \

  qt4-embedded-plugin-imageformat-svg \

  qt4-embedded-plugin-imageformat-tiff \

  qt4-embedded-plugin-phonon-backend-gstreamer \

  qt4-embedded-plugin-script-dbus \

  qt4-embedded-plugin-sqldriver-sqlite \

  gst-plugins-good \

  gst-plugins-bad \

  gst-fsl-plugin \

  gst-meta-base \

  libxml2 libcheck liboil libpng \

  "

BB_NUMBER_THREADS = '4'

PARALLEL_MAKE = '-j 4'

DL_DIR ?= "${BSPDIR}/downloads/"

ACCEPT_FSL_EULA = ""

PREFERRED_PROVIDER_virtual/mesa = ""

DISTRO_FEATURES_remove = " wayland directfb "

===============

Unfortunately we found we could not show any video based on the gstreamer0.1 inside qt4-embedded.  However, gstreamer0.1 could work independently.  Interestingly the audio playback is find inside qt4-embedded.  The error we got when decoding video is missing gstreamer0.1-plugins-good but gst-plugins-good has been installed in the image.  The display is a standard LCD display.  Could anyone share his/her experience to tell us how to configure qt4-embedded to make it support mp4 video playback?

Vincent

@

Labels (4)
0 Kudos
3 Replies

281 Views
igorpadykov
NXP TechSupport
NXP TechSupport

Hi Vincent

nxp L3.14.28 supports only QT5, please refer to attached Yocto Guide

Table 1. Freescale Yocto project images, Linux Guide sect.8.4 Qt 5.

For QT4 one can try to follow

Building QT for i.MX6

Best regards

igor

-----------------------------------------------------------------------------------------------------------------------

Note: If this post answers your question, please click the Correct Answer button. Thank you!

-----------------------------------------------------------------------------------------------------------------------

0 Kudos

281 Views
vincentchou
Contributor IV

Hi!  Igor,

Before we switched back to qt4-embedded, we did spend a month to test qt5.  In fact, we found there are more problems when we try to use QtMultimedia to play the video.  It seems the problem only occurs to the frame buffer framework, not X-Window.  The error we got when we tried to play video using Qt5 and QtMultimedia is

==============

The QMediaPlayer object does not have a valid service. Please check the media service plugins are installed.

===============

However, we did install every gstreamer 1.0 codec in the image.  It could be a reason that we use framebuffer device and eglfs in Yocto 3.14.28 and there are quite a few discussion about eglfs support of Qt5 on i.mx6 boards.  Did you have any chance to play video on frame buffer device on i.mx6 sabresd board?

Vincent

0 Kudos

281 Views
vincentchou
Contributor IV

There is a correction of my question. The Yocto version should be 3.14.28

0 Kudos